create or replace package DOCX_ADDTEXT_ITALIC is
   -- Required procedure
  procedure genDOCX;
 
  -- Required variable
  v_docx blob;
   
  
end DOCX_ADDTEXT_ITALIC;
/
create or replace package body DOCX_ADDTEXT_ITALIC is
/* 2016-JAN-26 11:00 */
/* PL/PDF REPORTER 3.7.0 */
l_paragraph1 pls_integer;
l_text_idx1 pls_integer;
l_paragraph2 pls_integer;
l_text_idx2 pls_integer;
l_paragraph3 pls_integer;
l_text_idx3 pls_integer;
procedure genDOCX is
 begin 
ploffx_docx.init( );
/* START PARAGRAPH */
l_paragraph1 := ploffx_docx.crParagraph();
l_text_idx1 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => 'AddText_Italic');
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph1);
/* START PARAGRAPH */
l_paragraph2 := ploffx_docx.crParagraph();
l_text_idx2 := ploffx_docx.addText( p_paragraph_id => l_paragraph2, p_text => 'Normal text');
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph2);
/* START PARAGRAPH */
l_paragraph3 := ploffx_docx.crParagraph();
l_text_idx3 := ploffx_docx.addText( p_paragraph_id => l_paragraph3, p_text => 'Italic formatted text', p_italic => true);
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph3);
ploffx_docx.getDoc( p_blob_file => v_Docx);
end;
end DOCX_ADDTEXT_ITALIC;
/
